package ehu.student;

/**
 * Ejemplo de definicion de una clase de objetos.
 * 
 * Los objetos de esta clase poseen funciones con parametros.
 */
public class Calculador {

	/**
	 * Devuelve el maximo comun divisor de dos valores dados. 
	 */
	public int maximoComunDivisor(int x, int y){
		while (x != y){
			int max = Math.max(x, y);
			int min = Math.max(x, y);
			x = max - min;
			y  = min;
		}
		return x; 
	}
	
	/**
	 * Devuelve true si un valor dado es primo; 
	 * false, en caso contrario. 
	 */
	public boolean esPrimo(int x){
		for (int i = 2; i < x; i++){
			if (x % i == 0) return false;
		}
		return true; /*@\label{Calculador.return.z}@*/
	}
}
