package ehu.student;

/**
 * Ejemplo de definicion de una clase de objetos.
 * 
 * Los objetos de esta clase reprsentan cartas de la baraja.
 * 
 * Los palos y las figuras de cada palo se suponen numerados consecutivamente:
 *     palos: 0 (Oros), 1 (Copas), 2 (Espadas), 3 (Bastos)
 *     figuras: 0 (As), 1 (Dos), ... 8 (Caballo), 9 (Rey) 
 */
public class CartaBaraja 
{
	private int suit = 0;      /* el codigo del palo */ /*@\label{CartaBaraja.var.a}@*/
	private int figure = 0;    /* el codigo de la figura */ /*@\label{CartaBaraja.var.z}@*/
	
	
	public int getSuit() {
		return suit;
	}
	
	public int getFigure() {
		return figure;
	}

	public void setSuit(int cdg) {
		suit = cdg;
	}

	public void setFigure(int cdg) {
		figure = cdg;
	}
	
	public String toString(){
		String s = 
			"[Palo: " + suit + "; Figura: " + figure + "]";
		return s;
	}
}
