package ehu.student;

/**
 * Ejemplo de definicion de una clase de objetos.
 * 
 * Cada objeto de esta clase memoriza
 * el estado de sus luces: encendidas o apagadas. 
 */
public class CocheConLuz {
    
    private int cdgLuces = 0;/*@\label{CocheConLuz.var}@*/
    
    /**
     * Las luces del coche quedan encendidas.
     */
    public void encenderLuces(){ 
        cdgLuces = 1; /*@\label{CocheConLuz.asg.1}@*/
    }
    
    /**
     * Las luces del coche quedan apagadas.
     */
    public void apagarLuces(){  
        cdgLuces = 0; /*@\label{CocheConLuz.asg.2}@*/
    }
    
    /**
     * Se escribe un mensaje informando del estado de las luces.
     */
    public void printInfo(){
        boolean flag;
        if (cdgLuces == 1) flag = true; /*@\label{CocheConLuz.rd}@*/
        else flag = false;
        System.out.println("Luces encendidas? " + flag);
    }

}
